<?xml version='1.0' encoding='utf-8' standalone='yes'?>
<preferred-activities>
    <item name="com.huawei.hwpreview/com.huawei.hwpreview.HwPreviewActivity">
        <filter>
            <action name="android.intent.action.VIEW" />
            <cat name="android.intent.category.DEFAULT" />
            <type name="application/pdf" />
            <scheme name="file" />
            <scheme name="content" />
        </filter>
    </item>
    <item name="com.huawei.hwpreview/com.huawei.hwpreview.HwPreviewActivity">
        <filter>
            <action name="android.intent.action.VIEW" />
            <cat name="android.intent.category.DEFAULT" />
            <type name="text/plain" />
            <scheme name="file" />
            <scheme name="content" />
        </filter>
    </item>
    <item name="com.huawei.hwpreview/com.huawei.hwpreview.HwPreviewActivity">
        <filter>
            <action name="android.intent.action.VIEW" />
            <cat name="android.intent.category.DEFAULT" />
            <type name="text/html" />
            <type name="application/xhtml+xml" />
            <scheme name="file" />
            <scheme name="content" />
        </filter>
    </item>
</preferred-activities>